Page MenuHomePhabricator

EchoNotificationController throws "Call to a member function isMinor() on a non-object" after Special:Undelete action
Closed, ResolvedPublic

Description

Error

Request ID: W6GslwrAIEMAACfCmK8AAAAY

message
[{exception_id}] {exception_url}   BadMethodCallException from line 107 of /srv/mediawiki/php-1.32.0-wmf.20/extensions/Echo/includes/controller/NotificationController.php: Call to a member function isMinor() on a non-object (null)
stacktrace
#0 /srv/mediawiki/php-1.32.0-wmf.20/extensions/Echo/includes/model/Event.php(168): EchoNotificationController::notify(EchoEvent, boolean)
#1 /srv/mediawiki/php-1.32.0-wmf.20/extensions/Echo/includes/EchoHooks.php(797): EchoEvent::create(array)
#2 /srv/mediawiki/php-1.32.0-wmf.20/includes/Hooks.php(174): EchoHooks::onLinksUpdateAfterInsert(LinksUpdate, string, array)
#3 /srv/mediawiki/php-1.32.0-wmf.20/includes/Hooks.php(202): Hooks::callHook(string, array, array, NULL)
#4 /srv/mediawiki/php-1.32.0-wmf.20/includes/deferred/LinksUpdate.php(490): Hooks::run(string, array)
#5 /srv/mediawiki/php-1.32.0-wmf.20/includes/deferred/LinksUpdate.php(220): LinksUpdate->incrTableUpdate(string, string, array, array)
#6 /srv/mediawiki/php-1.32.0-wmf.20/includes/deferred/LinksUpdate.php(175): LinksUpdate->doIncrementalUpdate()
#7 /srv/mediawiki/php-1.32.0-wmf.20/includes/deferred/DeferredUpdates.php(268): LinksUpdate->doUpdate()
#8 /srv/mediawiki/php-1.32.0-wmf.20/includes/deferred/DeferredUpdates.php(214): DeferredUpdates::runUpdate(LinksUpdate, Wikimedia\Rdbms\LBFactoryMulti, string, integer)
#9 /srv/mediawiki/php-1.32.0-wmf.20/includes/deferred/DeferredUpdates.php(134): DeferredUpdates::execute(array, string, integer)
#10 /srv/mediawiki/php-1.32.0-wmf.20/includes/MediaWiki.php(914): DeferredUpdates::doUpdates(string)
#11 /srv/mediawiki/php-1.32.0-wmf.20/includes/MediaWiki.php(734): MediaWiki->restInPeace(string, boolean)
#12 [internal function]: Closure$MediaWiki::doPostOutputShutdown()

Source: https://gerrit.wikimedia.org/g/mediawiki/extensions/Echo/+/be440a475cafdb9914dcca812a89ba3a55db15d0/includes/controller/NotificationController.php#107

Notes

This exception was recorded 18 times in Logtash over the last 7 days (1.32.0-wmf.20 an 1.32.0-wmf.19) on multiple wikis (including en.wikipedia.org, ar.wikipedia.org, fr.wikipedia.org).

Maybe related:

Details

Related Gerrit Patches:
mediawiki/extensions/Echo : masterHandle revision not found

Event Timeline

Krinkle created this task.Sep 19 2018, 2:16 AM
Restricted Application added a project: Growth-Team. · View Herald TranscriptSep 19 2018, 2:16 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Still seen on 1.32.0-wmf.23.

Change 464813 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/Echo@master] Handle revision not found

https://gerrit.wikimedia.org/r/464813

SBisson claimed this task.Oct 5 2018, 1:08 PM
SBisson edited projects, added Growth-Team (Current Sprint); removed Growth-Team.
SBisson moved this task from Incoming to Code Review on the Growth-Team (Current Sprint) board.

Change 464813 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Handle revision not found

https://gerrit.wikimedia.org/r/464813

Etonkovidova closed this task as Resolved.Oct 11 2018, 7:23 PM
Etonkovidova added a subscriber: Etonkovidova.

Added to the list of tasks to be monitored after deployment.

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:08 PM